import { Box } from '@chakra-ui/react'
import React from 'react'
import AttemptedForm from '../components/form'
import { getAssignmentList } from '@/app/lib/assignment/action'
import { casesRequestList } from '@/app/lib/cases/action'
import { getKycs } from '@/app/lib/kyc/action'
import { getBatches } from '@/app/lib/batches/action'
import { consumersRequestList } from '@/app/lib/consumers/action'

const Page = async () => {
    const [assignment, kycs, consumers] = await Promise.all([getAssignmentList(), getKycs(), consumersRequestList()])

    return (
        <>
            <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
                <AttemptedForm isEdit={null} assignment={assignment?.data} kycs={kycs} consumers={consumers?.data} />
            </Box>
        </>
    )
}

export default Page